
Redmine - Defect #24242

Adding comments to ticket returns internal server error

2016-11-02 07:17 - Piyush Jain

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.3.0

Description

While adding comments to the ticket am getting internal server error:

ActiveRecord::StatementInvalid (Mysql2::Error: Incorrect string value: '\xF0\x9F\x91\x8D\x0D\x0A..

.' for column 'notes' at row 1: INSERT INTO `journals`

 I tired changing the charset from utf8 to utf8mb4 for journals table but it doesn't seems to help.

Can anyone suggest a walk through for this issue.

My Environment

Environment:

  Redmine version                3.3.0.stable

  Ruby version                   2.3.1-p112 (2016-04-26) [x86_64-linux]

  Rails version                  4.2.6

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.7.14

  Git                            1.8.3.1

  Filesystem                     

Redmine plugins:

  issue_charts                   1.3.0

  periodictask                   3.1.1

  redmine_checklists             3.1.3

  redmine_email_fetcher          0.3.1

  redmine_helpdesk               0.0.15

  redmine_issue_history          1.0.0

  redmine_omniauth_google        0.0.1

  simple_author_change           0.1.2

Related issues:

Related to Redmine - Feature #31921: Changes to properly support 4 byte chara... Closed

History

#1 - 2016-11-02 07:29 - Marius BĂLTEANU

Please try without plugins.

#2 - 2016-11-02 08:25 - Toshi MARUYAMA

- Status changed from New to Needs feedback

Why not post full log?

#3 - 2019-08-17 18:11 - Marius BĂLTEANU

- Related to Feature #31921: Changes to properly support 4 byte characters (emoji) when database is MySQL added
#4 - 2024-09-16 07:15 - Go MAEDA

The issue is caused by attempting to insert a 4-byte UTF-8 character, specifically "\xF0\x9F\x91\x8D" (THUMBS UP SIGN), into a MySQL column that

uses the utf8 encoding, which only supports 3-byte characters.

To resolve this, the database, table, and column character set should be updated to utf8mb4, which supports 4-byte UTF-8 characters. Additionally,

ensure that both MySQL's configuration (my.cnf) and Redmine's config/database.yml are configured to use utf8mb4 encoding.

#5 - 2024-09-16 07:34 - Go MAEDA

- Status changed from Needs feedback to Closed

- Resolution set to Invalid
